<p align="center">
<img src="docs/graphics/logos/banner_readme.png"/>
</p>

<a href="https://github.com/ankidroid/Anki-Android/releases"><img src="https://img.shields.io/github/v/release/ankidroid/Anki-Android" alt="release"/></a>
<a href="https://github.com/ankidroid/Anki-Android/actions"><img src="https://img.shields.io/github/checks-status/ankidroid/Anki-Android/main?label=build" alt="build"/></a>
<a href="https://opencollective.com/ankidroid"><img src="https://img.shields.io/opencollective/all/ankidroid" alt="Open Collective backers and sponsors"/></a>
<a href="https://github.com/ankidroid/Anki-Android/issues"><img src="https://img.shields.io/github/commit-activity/m/ankidroid/Anki-Android" alt="commit-activity"/></a>
<a href="https://github.com/ankidroid/Anki-Android/network/members"><img src="https://img.shields.io/github/forks/ankidroid/Anki-Android" alt="forks"/></a>
<a href="https://github.com/ankidroid/Anki-Android/stargazers"><img src="https://img.shields.io/github/stars/ankidroid/Anki-Android" alt="stars"/></a>
<a href="https://crowdin.com/project/ankidroid"><img src="https://badges.crowdin.net/ankidroid/localized.svg"></img></a>
<a href="https://github.com/ankidroid/Anki-Android/graphs/contributors"><img src="https://img.shields.io/github/contributors/ankidroid/Anki-Android" alt="contributors"/></a>
<a href="https://discord.gg/qjzcRTx"><img src="https://img.shields.io/discord/368267295601983490"></img></a>
<a href="https://github.com/ankidroid/Anki-Android/blob/main/COPYING"><img src="https://img.shields.io/github/license/ankidroid/Anki-Android" alt="license"/></a>

# AnkiDroid
A semi-official port of the open source [Anki](https://apps.ankiweb.net/index.html) spaced repetition flashcard system to Android. Memorize anything with AnkiDroid!

<img src="docs/graphics/logos/ankidroid_logo.png" align="right" width="40%" height="100%"></img>

### Features

<div style="display:flex;">
 
- night mode
- whiteboard 
- progress widget
- detailed statistics
- syncing with AnkiWeb
- write answers (optional)
- text-to-speech integration
- more than 6000 premade decks
- spaced repetition (supermemo 2 algorithm)
- supported contents: text, images, sounds, MathJax
- add cards by intent from other applications like dictionaries

</div>

Install
---------
<div style="display:flex;">

<a href="https://play.google.com/store/apps/details?id=com.ichi2.anki&utm_source=global_co&utm_medium=prtnr&utm_content=Mar2515&utm_campaign=PartBadge&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1">
    <img alt="Get it on Google Play" height="80"
        src="docs/graphics/logos/google-badge.png" />
</a>

<a href="https://f-droid.org/repository/browse/?fdid=com.ichi2.anki">
    <img alt="Get it on F-Droid" height="80"
        src="docs/graphics/logos/f-droid-badge.png">
</a>

<a href="http://www.amazon.com/gp/product/B004L1G7T2/ref=mas_pm_ankidroid_flashcards">
    <img alt="Get it on Amazon app store" height="80"
        src="docs/graphics/logos/amazon-badge.png"/>
</a>

<a href="https://appgallery5.huawei.com/#/app/C102711481">
    <img alt="Get it on Huawei app gallery" height="80"
        src="docs/graphics/logos/huawei-badge.png"/>
</a>

</div>

Wiki
----
View [Wiki](https://github.com/ankidroid/Anki-Android/wiki)

Help
----
Check the [user manual](https://ankidroid.org/docs/manual.html) and the wiki for usage instructions. See the [help page](https://ankidroid.org/docs/help.html) 
for how to submit a bug report or contact a project member, etc.

Contribute
----------
You can contribute to AnkiDroid by beta testing, translating, or submitting code. 
See the [contribution wiki page](https://github.com/ankidroid/Anki-Android/wiki/Contributing) for more info.

Join Us On
----------

<a href="https://discord.gg/qjzcRTx"><img src="docs/graphics/logos/discord_logo_color.png" height="50px"/></a>
<a href="https://www.reddit.com/r/Anki"><img src="docs/graphics/logos/reddit_logo_color.png" height="50px"/></a>
<a href="https://www.facebook.com/AnkiDroid/"><img src="docs/graphics/logos/facebook_logo_color.png" height="50px"/></a>
<a href="https://twitter.com/ankidroid"><img src="docs/graphics/logos/twitter_logo_color.png" height="50px"/></a>

## Credits
<!--- Do not rename this section. AnkiDroid contains a deep link to the section
header - see https://github.com/ankidroid/Anki-Android/pull/11803 --->

### Code Contributors

Thanks to these awesome code contributors who keep this project going

<a href="https://github.com/ankidroid/Anki-Android/graphs/contributors"><img src="https://opencollective.com/ankidroid/contributors.svg?width=890&button=false" /></a>

### [Sponsors](https://opencollective.com/ankidroid#sponsor)
<a href="https://opencollective.com/ankidroid/sponsor/0/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/1/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/2/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/3/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/4/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/5/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/6/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/7/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/8/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/9/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/9/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/10/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/10/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/11/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/11/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/12/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/12/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/13/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/13/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/14/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/14/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/15/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/15/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/16/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/16/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/17/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/17/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/18/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/18/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/19/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/19/avatar.svg"></a>
<a href="https://opencollective.com/ankidroid/sponsor/20/website" target="_blank"><img src="https://opencollective.com/ankidroid/sponsor/20/avatar.svg"></a>

### [Backers](https://opencollective.com/ankidroid#backer)

Thank you to all our backers! 🙏

<a href="https://opencollective.com/ankidroid#backers" target="_blank"><img src="https://opencollective.com/ankidroid/backers.svg?width=890"></a>

### [Translators](https://crowdin.com/project/ankidroid/activity-stream)

Thanks to our 1400 translators, for allowing us to be available, partially or totally, in 99 languages as of July 2022.

License
-------
* [GPL-3.0 License](https://github.com/ankidroid/Anki-Android/blob/main/COPYING)
* [AGPL-3.0 Licence](https://github.com/ankitects/anki/blob/main/LICENSE) for some part of the back-end
